#Western Castle floor 0 end reward
from eventAPI import *
from APIUtils import *

rtcastle0end1 = 0

def fireEvent(e):
   global rtcastle0end1
   rtcastle0end1 = getTag(e, "rtcastle0end1")
   if (rtcastle0end1 == 1):
      return 1
   else:
      getReward(e)
   return 1


def getReward(e):
   showMessage(e, ["The room seems... changed.  There is now light enough to see and the air has lost a bit of its chill."])
   showMessage(e, ["As you approach the center of the room, a bright light flashes before your eyes, temporarily blinding you.", "", "As your vision returns you see a pale, beautiful being before you."])
   showPicture(e, "Taireninaugh")
   showMessage(e, ["\"You have called and I have come, as was the agreement.\"", "", "The figure looks at you intently."])
   showMessage(e, ["\"You are not the one with whom the bargain was struck.  Where is the lord of this castle?\""])
   showMessage(e, ["A sudden burst of memory fills your mind and you realize that it is this strange, yet beautiful, creature that is reading through your experiences."])
   showMessage(e, ["\"I understand.  It had been long since the last summoning and your kind does not endure such.\""])
   showMessage(e, ["\"As there is no kin or kind to now bargin with, I will release my charge unto you.\"", "", "She seems to pull something out of thin air."])
   showMessage(e, ["\"Take this and do as you will.  The agreements are now fulfilled.\""])
   showMessage(e, ["With that, the figure disappears again in a blinding flash, leaving you with your reward."])
   giveItems(e, ["Lord's Tabard"])
   rtcastle0end1 = 1
   setTag(e, "rtcastle0end1", rtcastle0end1)
   return 1